Bug 158866 - Advanced Search on Tags a mess
Summary: Advanced Search on Tags a mess
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Advanced (show other bugs)
Version: 0.9.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-06 21:20 UTC by Dotan Cohen
Modified: 2017-08-18 06:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.4


Attachments
patch fixes sorting the combobox (1.86 KB, patch)
2008-06-01 23:03 UTC, Andi Clemens
Details
patch for fixing the sorting of tags in advanced search dialog (1.40 KB, patch)
2008-06-01 23:07 UTC, Andi Clemens
Details
new version of patch (1.53 KB, patch)
2008-06-01 23:37 UTC, Andi Clemens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2008-03-06 21:20:48 UTC
Version:           0.9.2 (using KDE 3.5.8)
OS:                Linux

In the New Advanced Search dialog, the selection of tags is very difficult. All the tags are listed as paths in a dropdown box that shows only 10 tags. Also, the tags seem to be listed in the order they were added, not in hierarchal order. I recommend that this be replaced with the traditional hierarchal selection method: only the top level tags are shown until one is selected, and one must click through the hierarchy in order to get to the tag he needs.
Comment 1 caulier.gilles 2008-03-06 21:26:05 UTC
Marcel, currently working on this subject with KDE4 port of digiKam

Gilles
Comment 2 caulier.gilles 2008-04-23 11:20:31 UTC
Dotan,

Following recents progress into new Advanced Search tools from Marcel with KDE4 port, i close this file.

Search tools have been rewritten. Screenshots are available at this url:

http://digikam3rdparty.free.fr/Screenshots/NewSearchTools

Gilles Caulier 
Comment 3 Dotan Cohen 2008-04-23 23:10:18 UTC
Alright, Gilles. I have had a real hard time trying to build from CVS, so I cannot check this myself. But from the screenshot 02.png, it does not look like the issue has been addressed. That screenshot shows that Tags (Return pictures with tag) is still a dropdown box. That implies that the hierarchy is not preserved. When I get the latest Digikam compiled, I'll check this and reopen the bug if necessary, with details and screenshots. Thanks.
Comment 4 Marcel Wiesweg 2008-04-24 20:46:15 UTC
If you apply some advanced magic, you can put a QTreeView into a QComboBox.
That is done in the new search window. This means the popup of the combobox will show the full tree hierarchy with icon and allows you to selected multiple albums/tags with the supplied checkboxes.
Comment 5 Andi Clemens 2008-06-01 23:03:44 UTC
Created attachment 25055 [details]
patch fixes sorting the combobox

I have written a patch, it is working fine for me... Should I reopen the
bugreport?
Comment 6 Andi Clemens 2008-06-01 23:07:13 UTC
Created attachment 25057 [details]
patch for fixing the sorting of tags in advanced search dialog
Comment 7 Andi Clemens 2008-06-01 23:37:42 UTC
Created attachment 25058 [details]
new version of patch

I'll just reopen the bug, because it is still present in the KDE3 version.
Added some more comments to the patch.
Comment 8 Andi Clemens 2008-06-01 23:38:47 UTC
reopening bug because the KDE3 branch has still wrong filtering of tags in advanced search dialog.
Comment 9 Dotan Cohen 2008-06-02 10:39:02 UTC
Thanks for the work, Andi. I cannot currently test it, but I am certain that it will benefit Digikam.
Comment 10 Andi Clemens 2008-06-02 21:48:26 UTC
SVN commit 815894 by aclemens:

digiKam from KDE3 branch: code cleanup

BUG: 158866

 M  +1 -2      searchwidgets.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=815894